#
# Conditional build:
%bcond_without	apidocs	# API documentation

Summary:	A WPE backend designed for Linux desktop systems
Summary(pl.UTF-8):	Backend WPE zaprojektowany dla biurkowych systemów linuksowych
Name:		wpebackend-fdo
Version:	1.16.0
Release:	1
License:	BSD
Group:		Libraries
Source0:	https://wpewebkit.org/releases/%{name}-%{version}.tar.xz
# Source0-md5:	38f488aaa6d68252b593b65ba3e2d9d1
URL:		https://wpewebkit.org/
BuildRequires:	EGL-devel
BuildRequires:	glib2-devel >= 2.0
%{?with_apidocs:BuildRequires:	hotdoc}
BuildRequires:	libepoxy-devel
BuildRequires:	libstdc++-devel >= 6:4.7
BuildRequires:	libwpe-devel >= 1.14.0
BuildRequires:	meson >= 0.52.1
BuildRequires:	ninja >= 1.5
BuildRequires:	pkgconfig
BuildRequires:	rpm-build >= 4.6
BuildRequires:	rpmbuild(macros) >= 2.042
BuildRequires:	wayland-devel >= 1.15
BuildRequires:	wayland-egl-devel >= 1.15
BuildRequires:	xorg-lib-libxkbcommon-devel
Requires:	libwpe >= 1.14.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A WPE backend designed for Linux desktop systems.

%description -l pl.UTF-8
Backend WPE zaprojektowany dla biurkowych systemów linuksowych.

%package devel
Summary:	Header files for WPEBackend-fdo library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki WPEBackend-fdo
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libwpe-devel >= 1.14.0

%description devel
Header files for WPEBackend-fdo library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki WPEBackend-fdo.

%package apidocs
Summary:	API documentation for WPEBackend-fdo library
Summary(pl.UTF-8):	Dokumentacja API biblioteki WPEBackend-fdo
Group:		Documentation
BuildArch:	noarch

%description apidocs
API documentation for WPEBackend-fdo library.

%description apidocs -l pl.UTF-8
Dokumentacja API biblioteki WPEBackend-fdo.

%prep
%setup -q

%build
%meson \
	%{?with_apidocs:-Dbuild_docs=true}

%meson_build

%install
rm -rf $RPM_BUILD_ROOT

%meson_install

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc COPYING NEWS
%attr(755,root,root) %{_libdir}/libWPEBackend-fdo-1.0.so.1.*
%attr(755,root,root) %ghost %{_libdir}/libWPEBackend-fdo-1.0.so.1

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libWPEBackend-fdo-1.0.so
%{_includedir}/wpe-fdo-1.0
%{_pkgconfigdir}/wpebackend-fdo-1.0.pc

%if %{with apidocs}
%files apidocs
%defattr(644,root,root,755)
%{_docdir}/WPEBackend-fdo
%endif
%changelog
* Mon Apr 07 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/wpebackend-fdo.git;a=log;h=master

* Sun Mar 16 2025 Jakub Bogusz <qboosh@pld-linux.org> 8660fde
- updated to 1.16.0

* Mon Sep 23 2024 Jakub Bogusz <qboosh@pld-linux.org> 88ab03f
- updated to 1.14.3

* Sat Apr 15 2023 Jakub Bogusz <qboosh@pld-linux.org> e09988f
- updated to 1.14.2

* Wed Mar 30 2022 Jakub Bogusz <qboosh@pld-linux.org> af14270
- updated to 1.12.0

* Mon Aug 16 2021 Jakub Bogusz <qboosh@pld-linux.org> 0041e46
- build apidocs

* Mon Aug 16 2021 Jakub Bogusz <qboosh@pld-linux.org> ce0b92c
- updated to 1.10.0, uses meson now
- removed outdated libdir patch

* Sat Mar 13 2021 Jakub Bogusz <qboosh@pld-linux.org> 90d8bda
- updated to 1.8.1

* Sun Sep 13 2020 Jakub Bogusz <qboosh@pld-linux.org> 804cced
- updated to 1.8.0

* Sun Aug 16 2020 Jakub Bogusz <qboosh@pld-linux.org> 8b2e4ec
- updated to 1.6.1

* Sun Apr 12 2020 Jakub Bogusz <qboosh@pld-linux.org> 1f18c8e
- updated to 1.6.0

* Sun Mar 01 2020 Jakub Bogusz <qboosh@pld-linux.org> 29ea462
- updated to 1.4.1

* Mon Oct 07 2019 Jakub Bogusz <qboosh@pld-linux.org> 25be195
- release 2

* Mon Oct 07 2019 Jakub Bogusz <qboosh@pld-linux.org> 04d42b7
- added libdir patch (fixes libdir in .pc file)
- pl, completed BRs

* Sun Oct 06 2019 Adam Gołębiowski <adamg@pld-linux.org> fe1c247
- new

